# WOK
TKWOK
WOKMake

# WOKMake_IndexedMapOfDepItem Class Reference

`#include <WOKMake_IndexedMapOfDepItem.hxx>`

Inheritance diagram for WOKMake_IndexedMapOfDepItem:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKMake_IndexedMapOfDepItem (const Standard_Integer NbBuckets=1)
Standard_EXPORT WOKMake_IndexedMapOfDepItem & | Assign (const WOKMake_IndexedMapOfDepItem &Other)
WOKMake_IndexedMapOfDepItem & | operator= (const WOKMake_IndexedMapOfDepItem &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~WOKMake_IndexedMapOfDepItem ()
Standard_EXPORT Standard_Integer | Add (const Handle(WOKMake_DepItem)&K)
Standard_EXPORT void | Substitute (const Standard_Integer I, const Handle(WOKMake_DepItem)&K)
Standard_EXPORT void | RemoveLast ()
Standard_EXPORT Standard_Boolean | Contains (const Handle(WOKMake_DepItem)&K) const
Standard_EXPORT const Handle_WOKMake_DepItem & | FindKey (const Standard_Integer I) const
const Handle_WOKMake_DepItem & | operator() (const Standard_Integer I) const
Standard_EXPORT Standard_Integer | FindIndex (const Handle(WOKMake_DepItem)&K) const

## Private Member Functions

Standard_EXPORT | WOKMake_IndexedMapOfDepItem (const WOKMake_IndexedMapOfDepItem &Other)
Standard_EXPORT Standard_Address | FindNodeFromIndex (const Standard_Integer I) const
Standard_EXPORT Standard_Address | FindNodeFromKey (const Handle(WOKMake_DepItem)&K) const

## Constructor & Destructor Documentation

Standard_EXPORT WOKMake_IndexedMapOfDepItem::WOKMake_IndexedMapOfDepItem | ( | const Standard_Integer | NbBuckets = `1` | ) |

WOKMake_IndexedMapOfDepItem::~WOKMake_IndexedMapOfDepItem | ( |  | ) | `[inline]`

Standard_EXPORT WOKMake_IndexedMapOfDepItem::WOKMake_IndexedMapOfDepItem | ( | const WOKMake_IndexedMapOfDepItem & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Integer WOKMake_IndexedMapOfDepItem::Add | ( | const Handle(WOKMake_DepItem)& | K | ) |

Standard_EXPORT WOKMake_IndexedMapOfDepItem& WOKMake_IndexedMapOfDepItem::Assign | ( | const WOKMake_IndexedMapOfDepItem & | Other | ) |

Standard_EXPORT void WOKMake_IndexedMapOfDepItem::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean WOKMake_IndexedMapOfDepItem::Contains | ( | const Handle(WOKMake_DepItem)& | K | ) | const

Standard_EXPORT Standard_Integer WOKMake_IndexedMapOfDepItem::FindIndex | ( | const Handle(WOKMake_DepItem)& | K | ) | const

Standard_EXPORT const Handle_WOKMake_DepItem& WOKMake_IndexedMapOfDepItem::FindKey | ( | const Standard_Integer | I | ) | const

Standard_EXPORT Standard_Address WOKMake_IndexedMapOfDepItem::FindNodeFromIndex | ( | const Standard_Integer | I | ) | const`[private]`

Standard_EXPORT Standard_Address WOKMake_IndexedMapOfDepItem::FindNodeFromKey | ( | const Handle(WOKMake_DepItem)& | K | ) | const`[private]`

void WOKMake_IndexedMapOfDepItem::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKMake_IndexedMapOfDepItem::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKMake_IndexedMapOfDepItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

const Handle_WOKMake_DepItem& WOKMake_IndexedMapOfDepItem::operator() | ( | const Standard_Integer | I | ) | const`[inline]`

WOKMake_IndexedMapOfDepItem& WOKMake_IndexedMapOfDepItem::operator= | ( | const WOKMake_IndexedMapOfDepItem & | Other | ) | `[inline]`

Standard_EXPORT void WOKMake_IndexedMapOfDepItem::RemoveLast | ( |  | ) |

Standard_EXPORT void WOKMake_IndexedMapOfDepItem::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT void WOKMake_IndexedMapOfDepItem::Substitute | ( | const Standard_Integer | I,
|  | const Handle(WOKMake_DepItem)& | K
| ) |

The documentation for this class was generated from the following file:

- WOKMake_IndexedMapOfDepItem.hxx